/*
 * Puntaje.java
 *
 * Created on 30 de agosto de 2004, 01:33 PM
 */

package com.mxgxw.games;

/**
 * Clase contenedora que almacena el nombre y cantidad de clicks para un jugador.
 * @author Mario Gmez
 * @version 0.1.0
 * @license Cdigo fuente protegido bajo la GNU-GPL o posterior que puede ser obtenida de http://www.fsf.org/. Se incluye una copia con las fuentes en el archivo LICENSE.
 */
public class Puntaje {
    
    /**
     * Nombre del jugador
     */    
    public String nombre;
    /**
     * Cantidad de clicks realizados
     */    
    public int clicks;
    
    /**
     * Constructor por defecto, inicializa una cadena vaca y el numeero de clics a cero.
     */    
    public Puntaje() {
        nombre = new String();
        clicks = 0;
    }
    
    /**
     * Constructor que define el nombre del jugador y el numero de clicks en la inicializacin.
     * @param nm Nombre del jugador
     * @param c Nmero de clicks realizados
     */    
    public Puntaje(String nm,int c) {
        nombre = nm;
        clicks = c;
    }
    
}
